package com.qmth.distributed.print.business.bean.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 考务字段Dto
 * @Author: CaoZixuan
 * @Date: 2021-04-07
 */
public class FieldsDto {

    /**
     * 考务字段代码
     */
    private String code;

    /**
     * 考务字段名称
     */
    private String name;

    /**
     * 考务字段是否可用（仅考务规则有）
     */
    private Boolean enable;

    /**
     * 考务字段值（仅考生有）
     */
    private String value;

    /**
     * 索引
     */
    private int index;

    @ApiModelProperty(value = "字段级别（必选字段 - 'primary'、扩展字段 - 'secondary'）")
    private String level;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    @Override
    public String toString() {
        return "FieldsDto{" +
                "code='" + code + '\'' +
                ", name='" + name + '\'' +
                ", enable=" + enable +
                ", value='" + value + '\'' +
                ", index=" + index +
                ", level='" + level + '\'' +
                '}';
    }
}
